Altostrat Studio is here — the AI-native network operations IDE for engineers running production. Terminal, diagrams, runbooks, and Copilot in one workspace. Get started →
curl --request GET \
--url https://v1.api.altostrat.io/workspaces/{workspaceId}/billing-accounts/{billingAccountId}/invoices \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "in_1Kb...",
"customer_id": "cus_...",
"status": "paid",
"amount_due": 999,
"amount_paid": 999,
"currency": "usd",
"created_at": "2025-10-29T00:40:06.000000Z",
"subtotal": 1099,
"total": 999,
"tax": 0,
"discount_amount": 100,
"discount_names": [
"10% Off Coupon"
],
"lines": [
{
"id": "il_1Kb...",
"description": "10 × Locations",
"amount": 1000,
"currency": "usd",
"quantity": 10,
"price_id": "price_...",
"unit_amount": 100,
"product_name": "Locations"
}
],
"due_date": null,
"hosted_invoice_url": "https://invoice.stripe.com/...",
"invoice_pdf": "https://pay.stripe.com/...",
"number": "AB123-001"
}
],
"has_more": true,
"next_cursor": "<string>",
"previous_cursor": "<string>"
}Returns a list of invoices for a billing account. Invoices are returned in reverse chronological order.
curl --request GET \
--url https://v1.api.altostrat.io/workspaces/{workspaceId}/billing-accounts/{billingAccountId}/invoices \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "in_1Kb...",
"customer_id": "cus_...",
"status": "paid",
"amount_due": 999,
"amount_paid": 999,
"currency": "usd",
"created_at": "2025-10-29T00:40:06.000000Z",
"subtotal": 1099,
"total": 999,
"tax": 0,
"discount_amount": 100,
"discount_names": [
"10% Off Coupon"
],
"lines": [
{
"id": "il_1Kb...",
"description": "10 × Locations",
"amount": 1000,
"currency": "usd",
"quantity": 10,
"price_id": "price_...",
"unit_amount": 100,
"product_name": "Locations"
}
],
"due_date": null,
"hosted_invoice_url": "https://invoice.stripe.com/...",
"invoice_pdf": "https://pay.stripe.com/...",
"number": "AB123-001"
}
],
"has_more": true,
"next_cursor": "<string>",
"previous_cursor": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://altostrat.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Enter your JWT in the format: Bearer {token}
The ID of the workspace.
"ws_a1b2c3d4e5f6g7h8"
The ID of the billing account, which corresponds to a Stripe Customer ID (cus_...).
"cus_a1b2c3d4e5f6g7h8"
A limit on the number of objects to be returned. Limit can range between 1 and 200, and the default is 100.
A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with inv_..., your subsequent call can include after=inv_... in order to fetch the next page of the list.
A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with inv_..., your subsequent call can include before=inv_... in order to fetch the previous page of the list.
Was this page helpful?